Bug 230981 - net/openvswitch: update to 2.10.0
Summary: net/openvswitch: update to 2.10.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-28 15:53 UTC by Nikola Kolev
Modified: 2018-08-31 17:42 UTC (History)
2 users (show)

See Also:
koue: maintainer-feedback+


Attachments
openvswitch 2.10.0 patch (4.65 KB, text/plain)
2018-08-28 15:53 UTC, Nikola Kolev
koue: maintainer-approval+
Details
Update; this patch applies cleaner for me (5.16 KB, patch)
2018-08-28 23:46 UTC, Nathan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikola Kolev 2018-08-28 15:53:00 UTC
Created attachment 196649 [details]
openvswitch 2.10.0 patch

Update net/openvswitch to version 2.10.0

Poudriere logs look OK.
Comment 1 Nathan 2018-08-28 23:46:44 UTC
Created attachment 196659 [details]
Update; this patch applies cleaner for me
Comment 2 Nikola Kolev 2018-08-29 08:47:19 UTC
Hi Nathan,

Did you try it on all release versions?
Comment 3 Nathan 2018-08-29 10:31:51 UTC
(In reply to Nikola Kolev from comment #2)
No I left it as default
Comment 4 Nikola Kolev 2018-08-29 10:45:32 UTC
Comment on attachment 196659 [details]
Update; this patch applies cleaner for me

Fails on FreeBSD 10.4 i386

fatal error: error in backend: ran out of registers during register allocation
cc: error: clang frontend command failed with exit code 70 (use -v to see invocation)
FreeBSD clang version 3.4.1 (tags/RELEASE_34/dot1-final 208032) 20140512
Target: i386-unknown-freebsd10.4
Comment 5 Nathan 2018-08-29 11:30:33 UTC
Seems compiler setting was needed for 10.4 but in 11 it doesn’t need it as their is a clang version difference.
Comment 6 Yuri Victorovich freebsd_committer 2018-08-31 17:42:25 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2018-08-31 17:42:53 UTC
A commit references this bug:

Author: yuri
Date: Fri Aug 31 17:42:19 UTC 2018
New revision: 478601
URL: https://svnweb.freebsd.org/changeset/ports/478601

Log:
  net/openvswitch: Update 2.9.2 -> 2.10.0

  Also remove static libs.

  PR:		230981
  Submitted by:	koue@chaosophia.net (maintainer)

Changes:
  head/net/mininet/Makefile
  head/net/openvswitch/Makefile
  head/net/openvswitch/distinfo
  head/net/openvswitch/files/patch-lib_netdev-bsd.c
  head/net/openvswitch/pkg-plist